@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap");
* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
}

body {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #2f3640;
}

h1 {
  font-size: 45px;
  font-weight: 300;
  color: white;
  position: relative;
  cursor: pointer;
  user-select: none;
}

.underline::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 5px;
  background-color: #4cd137;
  transform: scaleX(0);
  transform-origin: center;
  transform-origin: bottom right;
  transition: transform 0.25s ease-in-out;
}
.underline:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}
